Bug 857061 - Download template area doesn't hide when clicking on New template
Download template area doesn't hide when clicking on New template
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
x86_64 Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 09:36 EDT by Milan Falešník
Modified: 2013-09-19 14:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:14:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Images of the procedure (228.48 KB, application/x-bzip)
2012-09-13 09:38 EDT, Milan Falešník
no flags Details

  None (edit)
Description Milan Falešník 2012-09-13 09:36:19 EDT
Description of problem:
When you do some things in SE with templates and click on the Download link, an area "Download System Template" appears with download parameters. When you click on the "New template" link, a page with Choices for new template appears, but its bottom side is overlayed with the opened "Download System Template" area.

Don't know whether it is bug or feature as the overlay does not block any controls in form (but does not make sense either because it offers download of the previous template).


Version-Release number of selected component (if applicable):
CloudForms System Engine Version: 1.1.10-2.el6cf 

How reproducible:
Always

Steps to Reproduce:
1. Go into Content / System template
2. Open some template in right panel
3. Click on Download in that panel
4. "Download System Template" overlay appears.
5. Click at the "New template" link.
  
Actual results:
"New System Template" page opens in right panel, overlayed by "Download System Template" in the bottom, which offers download of the previous edited sys template.

Expected results:
"New System Template" page opens in right panel, "Download System Template" overlay disappears.

Additional info:
Comment 1 Milan Falešník 2012-09-13 09:38:30 EDT
Created attachment 612456 [details]
Images of the procedure

1. Start,
2. Selected some template,
3. Clicked on Download,
4. Clicked on New template
5. Clicked on Download and the previous template xml is offered.
Comment 4 Eric Helms 2012-12-18 11:00:25 EST
Upstream - https://github.com/Katello/katello/pull/1285
Comment 5 Eric Helms 2012-12-18 13:31:53 EST
Fixed in ff05980a8668956757afa3db312e925ad87b8d65
Comment 6 David Davis 2012-12-19 08:34:19 EST
*** Bug 858008 has been marked as a duplicate of this bug. ***
Comment 8 Mike McCune 2013-09-19 14:14:50 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.